libcloud-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From to...@apache.org
Subject [libcloud] 03/12: libvirt-dev and pkg-config is needed for running libvirt tests.
Date Sun, 03 May 2020 16:23:11 GMT
This is an automated email from the ASF dual-hosted git repository.

tomaz pushed a commit to branch trunk
in repository https://gitbox.apache.org/repos/asf/libcloud.git

commit e2a5cbc9bb58d8e657594076d9ae51caed54f6d3
Author: Tomaz Muraus <tomaz@tomaz.me>
AuthorDate: Sun May 3 16:56:46 2020 +0200

    libvirt-dev and pkg-config is needed for running libvirt tests.
    
    Also remove pip dependencies we don't need and pin tox to a specific
    version.
---
 contrib/Dockerfile | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/contrib/Dockerfile b/contrib/Dockerfile
index 00a7090..7fc4736 100644
--- a/contrib/Dockerfile
+++ b/contrib/Dockerfile
@@ -20,16 +20,16 @@ RUN set -e && \
       python3.7-dev \
       python3.8-dev \
       pypy3 \
-      python-pip
+      python-pip \
+      libvirt-dev \
+      # Needed by libvirt driver
+      pkg-config
 
 # Workaround for zipp import error issue - https://github.com/pypa/virtualenv/issues/1630
 RUN pip install --upgrade pip
 
 RUN set -e && \
-    pip install --no-cache-dir tox \
-      mock \
-      lockfile \
-      coverage
+    pip install --no-cache-dir "tox==3.14.2"
 
 COPY . /libcloud
 


Mime
View raw message